Bug 179166 - CVE-2006-0292 javascript unrooted access
CVE-2006-0292 javascript unrooted access
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=critical,embargo=20060202,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 16:03 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0199
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 10:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream Patch (10.11 KB, patch)
2006-01-27 16:13 EST, Josh Bressers
no flags Details | Diff
Upsteam Patch (2.15 KB, patch)
2006-01-27 16:13 EST, Josh Bressers
no flags Details | Diff
Upstream Patch (3.99 KB, patch)
2006-01-27 16:13 EST, Josh Bressers
no flags Details | Diff
PoC exploit (715 bytes, application/octet-stream)
2006-01-27 16:15 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2006-01-27 16:03:39 EST
javascript unrooted access

The javascript interpreter in Mozilla can be tricked into storing
arbitary code onto the heap, then jump into that code.  This is the
result of tricking the garbage collector into dereferencing objects
that are still in use.

https://bugzilla.mozilla.org/show_bug.cgi?id=316885


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 7 Red Hat Bugzilla 2006-02-02 10:34:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0199.html

Note You need to log in before you can comment on or make changes to this bug.